---
title: "Get document generation status"
url: "https://docs.signnow.com/docs/document-generation/operations/get-v2-document-generations-process_id-status"
type: "endpoint"
section: "document-generation"
slug: "document-generation/operations/get-v2-document-generations-process_id-status"
method: "GET"
path: "/v2/document-generations/{process_id}/status"
operation_id: "get-v2-document-generations-process_id-status"
authorization: "bearer"
---

# Get document generation status

`GET /v2/document-generations/{process_id}/status`

This endpoint allows API users to get the status of a document generation process.

Learn more about [document generation](/docs/document-generations).

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `process_id` | string | Yes | ID of the document generation process. |

## Responses

### 200

Success

**Example** (`Success`)

```json
{
  "data": {
    "status": "in_progress",
    "entity_id": null,
    "process_id": "48bc7836-194a-11f1-a657-0a39a0b006c0",
    "entity_type": null
  }
}
```

### 404

Document generation not found.

**Example** (`Document generation not found`)

```json
{
  "errors": [
    {
      "code": 21008006,
      "message": "Document generation not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/document-generations/{process_id}/status" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/document-generation/operations/get-v2-document-generations-process_id-status*
